
Packaging - Bug #37419

Patch puma to fix chunked upload issue

05/08/2024 03:45 PM - Ian Ballou

Status: Closed   

Priority: Normal   

Assignee: Ian Ballou   

Category: RPMs   

Target version: 3.11.0   

Difficulty:  Fixed in Releases: 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/10763

  

Description

When pushing images like https://quay.io/repository/centos-bootc/fedora-bootc, Puma throws the error "maximum size of chunk

header exceeded".

This is a bug in Puma, it is fixed by https://github.com/puma/puma/pull/3338.

Let's patch this in while we wait for an official Puma release.

Associated revisions

Revision 338caa97 - 05/10/2024 09:53 AM - Ian Ballou 

Fixes #37419 - Patch puma to fix chunked upload bug

History

#1 - 05/08/2024 03:47 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-packaging/pull/10763 added

#2 - 05/10/2024 09:54 AM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#3 - 05/10/2024 10:00 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|338caa97317782297496b9d8fff63978df5c748d.

Powered by TCPDF (www.tcpdf.org)

05/20/2024 1/1

https://quay.io/repository/centos-bootc/fedora-bootc
https://github.com/puma/puma/pull/3338
https://projects.theforeman.org/projects/rpms/repository/foreman-packaging/revisions/338caa97317782297496b9d8fff63978df5c748d
http://www.tcpdf.org

